--- nagios-plugins-HEAD-200702101300/plugins/t/check_disk.t	2007-01-29 15:14:05.000000000 +0100
+++ nagios-plugins-HEAD-200702101300-clearfix/plugins/t/check_disk.t	2007-02-10 21:36:32.588142500 +0100
@@ -24,7 +24,7 @@
 if ($mountpoint_valid eq "" or $mountpoint2_valid eq "") {
 	plan skip_all => "Need 2 mountpoints to test";
 } else {
-	plan tests => 61;
+	plan tests => 62;
 }
 
 $result = NPTest->testCmd( 
@@ -284,3 +284,7 @@
 
 $result = NPTest->testCmd( "./check_disk -w 0% -c 0% -p / -p /" );
 unlike( $result->output, '/ \/ .* \/ /', "Should not show same filesystem twice");
+
+# are partitions added if -C is given without path selection -p ?
+$result = NPTest->testCmd( "./check_disk -w 0% -c 0% -C -w 0% -c 0% -p $mountpoint_valid" );
+like( $result->output, '/;.*;\|/', "-C selects partitions if -p is not given");
